Bug 453736 - (CVE-2008-2955) CVE-2008-2955 pidgin: remote DoS via MSN message with crafted file name
CVE-2008-2955 pidgin: remote DoS via MSN message with crafted file name
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=bugtraq,reported=20080628,publ...
: Security
Depends On: 472585 472586 472587 472588 833957
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-02 05:20 EDT by Tomas Hoger
Modified: 2012-06-20 11:28 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:28:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-07-02 05:20:09 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-2955 to the following vulnerability:

Pidgin 2.4.1 allows remote attackers to cause a denial of service
(crash) via a long filename that contains certain characters, as
demonstrated using an MSN message that triggers the crash in the
msn_slplink_process_msg function.

References:
http://www.securityfocus.com/archive/1/archive/1/493682/100/0/threaded
http://secunia.com/advisories/30881
http://www.frsirt.com/english/advisories/2008/1947
Comment 1 Robert Buchholz 2008-07-30 14:38:43 EDT
upstream bug:
http://developer.pidgin.im/ticket/6246
Comment 2 Tomas Hoger 2008-08-27 15:51:42 EDT
Upstream advisory:
  http://www.pidgin.im/news/security/?id=26

Fixed upstream in: 2.4.3

Note You need to log in before you can comment on or make changes to this bug.